Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class TwoIndicesParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.TwoIndicesParams

Direct Known Subclasses:
  TwoIndicesWithTypesParams

    public class TwoIndicesParams

extends Object

Contains the parameters for a condition comparing two indexed quantities, e.g., the size of two specific queues in a model. The compared indices are given using the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">first</tt>

and

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">second</tt>

attributes, while the checked relationship is described by the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">rel</tt>

attribute.

Java class for TwoIndicesParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TwoIndicesParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="first" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="second" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="rel" use="required" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}Relationship" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected int` | `first`
`protected Relationship` | `rel`
`protected int` | `second`

Constructor Summary
`TwoIndicesParams()`

Method Summary
`int` | `getFirst()` Gets the value of the first property.
`Relationship` | `getRel()` Gets the value of the rel property.
`int` | `getSecond()` Gets the value of the second property.
`boolean` | `isSetFirst()`
`boolean` | `isSetRel()`
`boolean` | `isSetSecond()`
`void` | `setFirst(int value)` Sets the value of the first property.
`void` | `setRel(Relationship value)` Sets the value of the rel property.
`void` | `setSecond(int value)` Sets the value of the second property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### first

    protected int first

### second

    protected int second

### rel

    protected Relationship rel

Constructor Detail

### TwoIndicesParams

    public TwoIndicesParams()

Method Detail

### getFirst

    public int getFirst()

  Gets the value of the first property.

### setFirst

    public void setFirst(int value)

  Sets the value of the first property.

### isSetFirst

    public boolean isSetFirst()

### getSecond

    public int getSecond()

  Gets the value of the second property.

### setSecond

    public void setSecond(int value)

  Sets the value of the second property.

### isSetSecond

    public boolean isSetSecond()

### getRel

    public Relationship getRel()

  Gets the value of the rel property.

  Returns:
    possible object is `Relationship`

### setRel

    public void setRel(Relationship value)

  Sets the value of the rel property.

  Parameters:
    `value` - allowed object is `Relationship`

### isSetRel

    public boolean isSetRel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.